GuideLab API

List pickup requests visible to the current organization

GET
/pickup-requests

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

status?string

Value in

  • "requested"
  • "scheduled"
  • "en_route"
  • "needs_reschedule"
  • "collected"
  • "cancelled"
page?integer
Range0 < value
Default1
limit?integer
Range0 < value <= 100
Default50

Response Body

application/json

curl -X GET "https://example.com/pickup-requests"
{  "requests": [    {      "id": "string",      "labId": "string",      "clinicId": "string",      "partnershipId": "string",      "formRevisionId": "string",      "status": "string",      "formData": {        "property1": null,        "property2": null      },      "requestedWindowStart": "string",      "requestedWindowEnd": "string",      "requestedTimezone": "string",      "scheduledWindowStart": "string",      "scheduledWindowEnd": "string",      "scheduledTimezone": "string",      "addressId": "string",      "addressSnapshot": {        "label": "string",        "contactName": "string",        "contactPhone": "string",        "addressLine1": "string",        "addressLine2": "string",        "city": "string",        "state": "string",        "postcode": "string",        "country": "st"      },      "requestedByMemberId": "string",      "assignedMemberId": "string",      "assignedExternalName": "string",      "assignedExternalPhone": "string",      "assignedExternalEmail": "string",      "notes": "string",      "internalNotes": "string",      "collectedAt": "string",      "cancelledAt": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "page": 0,  "limit": 0}
Empty